// priority: 900
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded CRAFTING TABLE/GTCEU.js)')


ServerEvents.recipes(event => {

    // ********************************** //
    // ***** MULTIBLOCK CONTROLLERS ***** //
    // ********************************** //

    // certus_quartz_charger
    event.shaped('gtceu:certus_quartz_charger', [
        'ABA',
        'CDC',
        'AEA',
    ], {
        A: 'gtceu:mv_electric_motor',
        B: 'ae2:energy_level_emitter',
        C: '#gtceu:circuits/mv',
        D: 'gtceu:mv_machine_hull',
        E: 'gtceu:mv_emitter',
    })
        .id('kubejs:crafting/gtceu/certus_quartz_charger')

    // large_inscriber
    event.shaped('gtceu:large_inscriber', [
        'ACA',
        'CDC',
        'AEA',
    ], {
        A: 'gtceu:mv_electric_piston',
        C: '#gtceu:circuits/mv',
        D: 'gtceu:mv_machine_hull',
        E: 'gtceu:mv_robot_arm',
    })
        .id('kubejs:crafting/gtceu/large_inscriber')

    // large_resource_generator
    event.shaped('gtceu:large_resource_generator', [
        'ACA',
        'CDC',
        'AEA',
    ], {
        A: 'gtceu:ev_electric_motor',
        C: '#gtceu:circuits/iv',
        D: 'gtceu:ev_machine_hull',
        E: 'gtceu:ev_electric_piston',
    })
        .id('kubejs:crafting/gtceu/large_resource_generator')

    // natural_fluid_generator
    event.shaped('gtceu:natural_fluid_generator', [
        'ACA',
        'CDC',
        'AEA',
    ], {
        E: 'gtceu:mv_electric_motor',
        C: '#gtceu:circuits/mv',
        D: 'gtceu:mv_machine_hull',
        A: 'gtceu:mv_electric_pump',
    })
        .id('kubejs:crafting/gtceu/natural_fluid_generator')

    // desulfurizer
    event.shaped('gtceu:desulfurizer', [
        'AEA',
        'CDC',
        'AEA',
    ], {
        E: 'gtceu:ev_electric_motor',
        C: '#gtceu:circuits/ev',
        D: 'gtceu:ev_machine_hull',
        A: 'gtceu:ev_electric_pump',
    })
        .id('kubejs:crafting/gtceu/desulfurizer')

    // glass_box
    event.shaped('gtceu:glass_box', [
        'AEA',
        'CDC',
        'AEA',
    ], {
        E: 'gtceu:laminated_glass',
        C: '#gtceu:circuits/hv',
        D: 'gtceu:hv_machine_hull',
        A: 'gtceu:hv_electric_motor',
    })
        .id('kubejs:crafting/gtceu/glass_box')

    // large_gas_collector
    event.shaped('gtceu:large_gas_collector', [
        'AEA',
        'CDC',
        'ACA',
    ], {
        A: 'gtceu:iv_electric_pump',
        C: '#gtceu:circuits/iv',
        D: 'gtceu:iv_gas_collector',
        E: 'gtceu:iv_electric_motor',
    })
        .id('kubejs:crafting/gtceu/large_gas_collector')

    // auto_cutting_board
    event.shaped('gtceu:auto_cutting_board', [
        'FAF',
        'CBD',
        'EGE',
    ], {
        A: 'easypaxellite:iron_paxel',
        B: 'gtceu:lv_machine_hull',
        C: 'minecraft:shears',
        D: 'farmersdelight:iron_knife',
        E: '#gtceu:circuits/lv',
        F: 'gtceu:lv_electric_motor',
        G: 'gtceu:lv_robot_arm',
    })
        .id('kubejs:crafting/gtceu/auto_cutting_board')

    // auto_cooking_pot
    event.shaped('gtceu:auto_cooking_pot', [
        'AEA',
        'BCB',
        'DBD',
    ], {
        A: 'minecraft:smoker',
        B: '#gtceu:circuits/lv',
        C: 'gtceu:heatproof_machine_casing',
        D: 'gtceu:tin_single_cable',
        E: 'minecraft:cauldron',
    })
        .id('kubejs:crafting/gtceu/auto_cooking_pot')

    // apothic_condenser
    event.shaped('gtceu:apothic_condenser', [
        'RGB',
        'DCD',
        'FEF',
    ], {
        R: '#forge:lenses/red',
        G: '#forge:lenses/green',
        B: '#forge:lenses/blue',
        C: 'gtceu:steel_turbine_casing',
        D: '#gtceu:circuits/mv',
        E: 'gtceu:computer_monitor_cover',
        F: 'apotheosis:gem_dust',
    })
        .id('kubejs:crafting/gtceu/apothic_condenser')

    // steam_alloy_smelter
    event.shaped('gtceu:steam_alloy_smelter', [
        'CDC',
        'BAB',
        'CDC',
    ], {
        A: 'gtceu:lp_steam_alloy_smelter',
        B: 'gtceu:bronze_gearbox',
        C: 'gtceu:steam_machine_casing',
        D: '#forge:gears/quartz_alloy',
    })
        .id('kubejs:crafting/gtceu/steam_alloy_smelter/from/lp')

    event.shaped('gtceu:steam_alloy_smelter', [
        'CDC',
        'BAB',
        'CDC',
    ], {
        A: 'gtceu:hp_steam_alloy_smelter',
        B: 'gtceu:bronze_gearbox',
        C: 'gtceu:steam_machine_casing',
        D: '#forge:gears/quartz_alloy',
    })
        .id('kubejs:crafting/gtceu/steam_alloy_smelter/from/hp')

    // steam_wiremill
    event.shaped('gtceu:steam_wiremill', [
        'CDC',
        'BAB',
        'CDC',
    ], {
        A: 'gtceu:lv_wiremill',
        B: 'gtceu:lv_robot_arm',
        C: 'gtceu:solid_machine_casing',
        D: '#gtceu:circuits/lv',
    })
        .id('kubejs:crafting/gtceu/steam_wiremill')

    // ******************** //
    // ***** MACHINES ***** //
    // ******************** //

    // firebrick_mixer
    event.shaped('gtceu:lp_firebrick_mixer', [
        'CBC',
        'DAD',
        'BBB',
    ], {
        A: 'gtceu:bronze_machine_casing',
        B: 'gtceu:bronze_small_fluid_pipe',
        C: '#forge:small_gears/iron',
        D: '#forge:plates/bronze',
    })
        .id('kubejs:crafting/gtceu/lp_firebrick_mixer')

    // hp_steam_solid_boiler
    event.shaped('gtceu:hp_steam_solid_boiler', [
        'AAA',
        'ABA',
        'CDC',
    ], {
        A: '#forge:plates/steel',
        B: '#gtceu:tools/crafting_wrenches',
        C: 'gtceu:sticky_resin',
        D: 'gtceu:lp_steam_solid_boiler',
    })
        .id('kubejs:crafting/gtceu/hp_steam_solid_boiler')

    // lv_bender
    event.shaped('gtceu:lv_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:lv_electric_piston',
        B: '#forge:double_plates/steel',
        C: '#gtceu:circuits/lv',
        D: 'gtceu:lv_machine_hull',
        E: 'gtceu:lv_electric_motor',
        F: 'gtceu:tin_single_cable',
    })
        .id('kubejs:crafting/gtceu/lv_bender')

    // mv_bender
    event.shaped('gtceu:mv_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:mv_electric_piston',
        B: '#forge:double_plates/aluminium',
        C: '#gtceu:circuits/mv',
        D: 'gtceu:mv_machine_hull',
        E: 'gtceu:mv_electric_motor',
        F: 'gtceu:copper_single_cable',
    })
        .id('kubejs:crafting/gtceu/mv_bender')

    // hv_bender
    event.shaped('gtceu:hv_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:hv_electric_piston',
        B: '#forge:double_plates/stainless_steel',
        C: '#gtceu:circuits/hv',
        D: 'gtceu:hv_machine_hull',
        E: 'gtceu:hv_electric_motor',
        F: 'gtceu:gold_single_cable',
    })
        .id('kubejs:crafting/gtceu/hv_bender')

    // ev_bender
    event.shaped('gtceu:ev_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:ev_electric_piston',
        B: '#forge:double_plates/titanium',
        C: '#gtceu:circuits/ev',
        D: 'gtceu:ev_machine_hull',
        E: 'gtceu:ev_electric_motor',
        F: 'gtceu:aluminium_single_cable',
    })
        .id('kubejs:crafting/gtceu/ev_bender')

    // iv_bender
    event.shaped('gtceu:iv_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:iv_electric_piston',
        B: '#forge:double_plates/tungsten_steel',
        C: '#gtceu:circuits/iv',
        D: 'gtceu:iv_machine_hull',
        E: 'gtceu:iv_electric_motor',
        F: 'gtceu:platinum_single_cable',
    })
        .id('kubejs:crafting/gtceu/iv_bender')

    // luv_bender
    event.shaped('gtceu:luv_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:luv_electric_piston',
        B: '#forge:double_plates/rhodium_plated_palladium',
        C: '#gtceu:circuits/luv',
        D: 'gtceu:luv_machine_hull',
        E: 'gtceu:luv_electric_motor',
        F: 'gtceu:platinum_single_cable',
    })
        .id('kubejs:crafting/gtceu/luv_bender')

    // zpm_bender
    event.shaped('gtceu:zpm_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:zpm_electric_piston',
        B: '#forge:double_plates/naquadah_alloy',
        C: '#gtceu:circuits/zpm',
        D: 'gtceu:zpm_machine_hull',
        E: 'gtceu:zpm_electric_motor',
        F: 'gtceu:platinum_single_cable',
    })
        .id('kubejs:crafting/gtceu/zpm_bender')

    // uv_bender
    event.shaped('gtceu:uv_bender', [
        'ABA',
        'CDC',
        'EFE',
    ], {
        A: 'gtceu:uv_electric_piston',
        B: '#forge:double_plates/darmstadtium',
        C: '#gtceu:circuits/uv',
        D: 'gtceu:uv_machine_hull',
        E: 'gtceu:uv_electric_motor',
        F: 'gtceu:platinum_single_cable',
    })
        .id('kubejs:crafting/gtceu/uv_bender')

    // ***** ***** ***** //
    // ***** DUSTS ***** //
    // ***** ***** ***** //

    // ender_pearl_dust
    event.shapeless('4x gtceu:ender_pearl_dust',
        [
            '1x #forge:dusts/beryllium',
            '2x #forge:dusts/potassium',
            '4x #forge:dusts/saltpeter'
        ])
        .id('kubejs:crafting/gtceu/ender_pearl_dust')

    // rough_concrete_dust
    event.shapeless('1x gtceu:rough_concrete_dust',
        [
            '#forge:dusts/calcite',
            '#forge:dusts/calcite',
            '#forge:dusts/clay',
            '#forge:dusts/quartz_sand',
            '#forge:dusts/stone',
        ])
        .id('kubejs:crafting/gtceu/rough_concrete_dust')

    // **************** //
    // ***** MISC ***** //
    // **************** //

    // // programmed_circuit
    // event.remove({ id: 'gtceu:shapeless/programmed_circuit' })
    // event.shapeless(Item.of('gtceu:programmed_circuit', '{Configuration:0}'),
    //     [
    //         '#gtceu:circuits/lv',
    //         '#forge:tools/screwdrivers',
    //     ])
    //     .id('kubejs:crafting/gtceu/programmed_circuit')


    // fin //

})